<?php
/*
 * Our index file.
 *
 * PHP version 5
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the Affero General Public License as published by Affero Inc.,
 * either version 1 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful to the Free
 * Software community, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the Affero
 * General Public License for more details.
 * 
 * You should have received a copy of the Affero General Public License with this
 * software in the ./AfferoGPL file; if not, write to Affero Inc., 510 Third Street,
 * Suite 225, San Francisco, CA 94107, USA
 *
 * @category   Public Controller
 * @author     Klaus Weiss <klaus.weiss@nanet.at>
 * @copyright  2007 GNU Herds Free Software Association
 * @license    http://www.affero.org/oagpl.html Affero GPL
 * @version    CVS: $Id:$
 * @since      File available since version 1.5
 */

define('VISIBLE', true);

define('ROOT', dirname(__FILE__));
define('DS', DIRECTORY_SEPARATOR);

require_once(ROOT.DS.'include'.DS.'dep.inc.php');
require_once(ROOT.DS.'core'.DS.'controller.class.php');

require_once(ROOT.DS.'site'.DS.'controller'.DS.'Index.php');

if(SITE_MOD_REWRITE)
{
  $cntr = new IndexController($_GET['cntr'], $_GET['action'], $_GET['params']);
}
else
{
  $cntr = new IndexController($HTTP_SERVER_VARS['PATH_INFO']);
}

//$cntr = new IndexController($_GET['cntr'], $_GET['action'], $_GET['params']);

//print_r(Controller::getUserLanguages());



//echo _("test");

//$cntr->redirect(array('controller' => 'test', 'action' => 'test3'));


?>